# Copyright (C) 2005 by Aaron Bentley

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
from bzrlib.branch import Branch
from bzrlib.commands import Command, OPTIONS
import sys
import os
import bzrtools 

OPTIONS['overwrite'] = None

class cmd_push(Command):
    """Upload this branch to another location using rsync.

    If no location is specified, the last-used location will be used.  To
    to prevent dirty trees from being uploaded, push will error out if there
    are unknown files or local changes.
    """
    takes_args = ['location?']
    takes_options = ['overwrite']

    def run(self, location=None, overwrite=False):
        cur_branch = Branch.open_containing(".")
        bzrtools.push(cur_branch, location, overwrite=overwrite)
